1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Reason for downgrading to v1.5

Discussion in 'Sony PSP - Mod and firmware discussion' started by Razorrey, May 7, 2007.

  1. Razorrey

    Razorrey Member

    Joined:
    May 7, 2007
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    11
    OK, sorry for posting this noobie question, but I looked threw the forums and just kept finding peoples problems with ISOs etc... Anyway, what is the whole point of downgrading to v1.5? As of right now I have a v2.5 and want to mod my psp. Do I need to downgrade to mod or does it matter? Thankyou --Rey
     
  2. kevlarpro

    kevlarpro Member

    Joined:
    May 6, 2007
    Messages:
    22
    Likes Received:
    0
    Trophy Points:
    11
    v1.5 is where all hacking begins for the psp. from here you can either:

    upgrade to a custom firmware, a, in a way, fake upgrade, that can do everything that the original upgrade can. for example: 3.03 would be the original and 3.03oe would be the custom firmware. 3.03 oe has all the features of 3.03, only it can be customized.

    or

    download devhook. devhook, although i have very little intel on it, i believe allows you to pretty much do the same things that custom firmwares let you do, only difference is that you dont have to go through the hassle of upgrading firmwares and you dont have the features of new psp updates.

    from both o these, you can download psp games that are in iso and cso format, download game emulators such as SNES and GBA to play different games not meant for the psp. there is also a lot more, but too much for me to put into this one post.
     
  3. Razorrey

    Razorrey Member

    Joined:
    May 7, 2007
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    11
    Ohhh I see now. Thanks for the reply, and how does one downgrade to v1.5? do I need the GTA game?
     
  4. kevlarpro

    kevlarpro Member

    Joined:
    May 6, 2007
    Messages:
    22
    Likes Received:
    0
    Trophy Points:
    11
    it mostly depends on your current psp version. to check go to system settings, and click on psp information. and yes, you will need Grand Theft Auto: Liberty City Stories, the older version. the older version has a psp update of 2.0
     
  5. Razorrey

    Razorrey Member

    Joined:
    May 7, 2007
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    11
    Oh ok. Yeah I went to System Information and it says Version 2.50. How would I know if the GTA: Liberty city stories I buy used is really the 2.0 version?
     
  6. kevlarpro

    kevlarpro Member

    Joined:
    May 6, 2007
    Messages:
    22
    Likes Received:
    0
    Trophy Points:
    11
    insert the liberty city stories umd into the psp then scroll to the game section on your psp. under the umd icon, there should be another umd icon, only it has these two arrows inside the icon. it should be called PSP Update ver 2.00
     
  7. Razorrey

    Razorrey Member

    Joined:
    May 7, 2007
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    11
    I see what you mean. Because I have this one game inserted in my psp at the moment and it says psp update ver 2.50... So When I get the game maybe tomorrow, what do I do next after I have the GTA game that says ver 2.00?
     
  8. kevlarpro

    kevlarpro Member

    Joined:
    May 6, 2007
    Messages:
    22
    Likes Received:
    0
    Trophy Points:
    11
    Last edited: May 7, 2007
  9. Razorrey

    Razorrey Member

    Joined:
    May 7, 2007
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    11
    I had already downloaded the downdater 2.5, but when I choose to extract the files to a folder it asks for a password.
     
  10. kevlarpro

    kevlarpro Member

    Joined:
    May 6, 2007
    Messages:
    22
    Likes Received:
    0
    Trophy Points:
    11
    sorry man, but i gotta go now. i found this site after a brief search, i hope it helps.
     

Share This Page